<?php
	function ischecked($option,$needle) {
		$r = get_option($option);
		if (is_array($r)) if (in_array($needle, $r)) return ' checked="checked"';
	}
?>
<script>
jQuery(function() {
	jQuery(document).ready(function() {
	
		var sorter = jQuery( "#ggSMP_sortable" ).sortable({ axis: "x",
			update:function(e,ui) {
				var order = sorter.sortable("toArray").join();
				jQuery("#ggSMP_sort").val(order);
			}
		});	
	
		jQuery("#selectall").click(function() {
			var checked_status = this.checked;
			jQuery("input[class=ggSMP_show]").each(function() {
				this.checked = checked_status;
			});
		});					
	});
});


</script>
<h2><?_e("GeldGorilla Social Media Plugin Options","ggSMP");?></h2>
<div id="poststuff"  class="wrap" style="width:1000px;">
	<div style="float:left;padding-top:10px; position:relative;width:690px">
		<form name="ggSMPoption" id="ggSMPoption" method="POST" action="options.php">
		<?php wp_nonce_field('update-options'); ?>
		<?

				if (!get_option('ggSMP_sort')) {
					/*sets defaults*/
					update_option('ggSMP_sort','facebook,twitter,googlep,linkedin,pinterest,tumblr,hyves','','yes');

					$defloc = get_locale();
					update_option('ggSMP_locale',$defloc);
					
					$ggSMP_active = array('facebook','twitter','googlep','linkedin');
					$ggSMP_counter = array('facebook','twitter','googlep','linkedin');
					$ggSMP_show = array();
					update_option('ggSMP_active',$ggSMP_active);
					update_option('ggSMP_counter',$ggSMP_counter);
					update_option('ggSMP_show',$ggSMP_show);
					
					update_option('ggSMP_facebook_button_type','like');
					update_option('ggSMP_layout','box');
					update_option('ggSMP_position','below');					
					
					update_option('ggSMP_width_facebook','95');
					update_option('ggSMP_width_twitter','90');
					update_option('ggSMP_width_googlep','65');
					update_option('ggSMP_width_linkedin','100');
					update_option('ggSMP_width_pinterest','90');
					update_option('ggSMP_width_tumblr','100');
					update_option('ggSMP_width_hyves','100');					
				}		
		
		?>

		<div class="postbox">
			<h3><?_e("Preview (first click save to see new changes)","ggSMP");?></h3>
			<div class="inside">
				<br />
				<div id="ggSMP_preview">
				<?ggSMP_style();?>
				<?=ggSMP('',false);?>
				<?ggSMP_footer();?>
				</div>
				<br />
			</div>
		</div>		
		
		<div class="postbox">
		<h3><?_e("Select buttons","ggSMP");?></h3>
		<div class="inside">
			<table border="0">
			<tr><td colspan="2" style="text-align:left;"><strong><?_e("Enable or disable buttons, change the order by drag &amp; drop and select below the logo the width of the button and if a counter should be shown.","ggSMP");?></strong></td></tr>
			<tr><td style="vertical-align:bottom;padding-bottom:20px;line-height:20px;"><?_e("Enable:","ggSMP");?><br /><?_e("Width (in px):","ggSMP");?><br /><?_e("* Counter:","ggSMP");?><br /></td>
			<td>
			<?
				echo '<input type="hidden" name="ggSMP_sort" id="ggSMP_sort" value="'.get_option('ggSMP_sort').'"/>';
				$sort_r = explode(",",get_option('ggSMP_sort'));
				echo '<div id="ggSMP_sortable">';
				foreach ($sort_r as $v) {
					switch ($v) {
						case "facebook":?><div id="facebook" class="ggSMPBox"><img src="<?=plugin_dir_url(__FILE__);?>images/facebook.png" /><br />Facebook<br /><input type="checkbox" name="ggSMP_active[]" value="facebook"<?=ischecked('ggSMP_active','facebook');?> /><br /><input type="text" name="ggSMP_width_facebook" value="<?=get_option('ggSMP_width_facebook');?>" /><br /><input onclick="return false" onkeydown="return false" class="ggSMP_disabled_checkbox" type="checkbox" name="ggSMP_counter[]" value="facebook"<?=ischecked('ggSMP_counter','facebook');?> /></div><?break;
						case "twitter":?><div id="twitter" class="ggSMPBox"><img src="<?=plugin_dir_url(__FILE__);?>images/twitter.png" /><br />Twitter<br /><input type="checkbox" name="ggSMP_active[]" value="twitter"<?=ischecked('ggSMP_active','twitter');?> /><br /><input type="text" name="ggSMP_width_twitter" value="<?=get_option('ggSMP_width_twitter');?>" /><br /><input type="checkbox" name="ggSMP_counter[]" value="twitter"<?=ischecked('ggSMP_counter','twitter');?> /></div><?break;
						case "googlep":?><div id="googlep" class="ggSMPBox"><img src="<?=plugin_dir_url(__FILE__);?>images/googlep.png" /><br />Google+<br /><input type="checkbox" name="ggSMP_active[]" value="googlep"<?=ischecked('ggSMP_active','googlep');?> /><br /><input type="text" name="ggSMP_width_googlep" value="<?=get_option('ggSMP_width_googlep');?>" /><br /><input type="checkbox" name="ggSMP_counter[]" value="googlep"<?=ischecked('ggSMP_counter','googlep');?> /></div><?break;
						case "linkedin":?><div id="linkedin" class="ggSMPBox"><img src="<?=plugin_dir_url(__FILE__);?>images/linkedin.png" /><br />LinkedIn<br /><input type="checkbox" name="ggSMP_active[]" value="linkedin"<?=ischecked('ggSMP_active','linkedin');?> /><br /><input type="text" name="ggSMP_width_linkedin" value="<?=get_option('ggSMP_width_linkedin');?>" /><br /><input type="checkbox" name="ggSMP_counter[]" value="linkedin"<?=ischecked('ggSMP_counter','linkedin');?> /></div><?break;
						case "pinterest":?><div id="pinterest" class="ggSMPBox"><img src="<?=plugin_dir_url(__FILE__);?>images/pinterest.png" /><br />Pinterest<br /><input type="checkbox" name="ggSMP_active[]" value="pinterest"<?=ischecked('ggSMP_active','pinterest');?> /><br /><input type="text" name="ggSMP_width_pinterest" value="<?=get_option('ggSMP_width_pinterest');?>" /><br /><input disabled type="checkbox" name="ggSMP_counter[]" value="pinterest"<?=ischecked('ggSMP_counter','pinterest');?> /></div><?break;
						case "tumblr":?><div id="tumblr" class="ggSMPBox"><img src="<?=plugin_dir_url(__FILE__);?>images/tumblr.png" /><br />Tumblr<br /><input type="checkbox" name="ggSMP_active[]" value="tumblr"<?=ischecked('ggSMP_active','tumblr');?> /><br /><input type="text" name="ggSMP_width_tumblr" value="<?=get_option('ggSMP_width_tumblr');?>" /><br /><input disabled type="checkbox" name="ggSMP_counter[]" value="tumblr"<?=ischecked('ggSMP_counter','tumblr');?> /></div><?break;
						case "hyves":?><div id="hyves" class="ggSMPBox"><img src="<?=plugin_dir_url(__FILE__);?>images/hyves.png" /><br />Hyves<br /><input type="checkbox" name="ggSMP_active[]" value="hyves"<?=ischecked('ggSMP_active','hyves');?> /><br /><input type="text" name="ggSMP_width_hyves" value="<?=get_option('ggSMP_width_hyves');?>" /><br /><input type="checkbox" name="ggSMP_counter[]" value="hyves"<?=ischecked('ggSMP_counter','hyves');?> /></div><?break;
					}
				}
				echo '</div>';
			?>
			</td></tr>
			<tr><td colspan="2" style="text-align:left;">
			<?_e("* For Facebook a counter is mandatory and for Pinterest and Tumblr a counter is not available.","ggSMP");?>
			<br /><br />
			<?_e("Some advice:","ggSMP");?><br /><br />
			<?_e("- We recommend you to not use more than 5 social media buttons.","ggSMP");?><br />
			<?_e("- Use LinkedIn only in financial and business-to-business markets.","ggSMP");?><br />
			<?_e('- Use Pinterest and Tumblr only in "creative" markets.',"ggSMP");?></td></tr>
			</table>
		</div>
		</div>
		<div class="postbox">
		<h3><?_e("General options","ggSMP");?></h3>
		<br />
		<div class="inside">
			<table>
			<tr><td><?_e("Show social media buttons on the following pages:","ggSMP");?></td>
			<td>
				<div class="ggSMP_showRow"><input type="checkbox" id="selectall"<?=(count(get_option('ggSMP_show'))>7 ? 'checked="checked"':'');?> /> <?_e("Select All","ggSMP");?></div>
				<div style="clear:both;height:20px;"></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="blogPage"<?=ischecked('ggSMP_show','blogPage');?> /> <?_e("Blog Page","ggSMP");?></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="categories"<?=ischecked('ggSMP_show','categories');?> /> <?_e("Categories","ggSMP");?></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="author"<?=ischecked('ggSMP_show','author');?> /> <?_e("Author archives","ggSMP");?></div>
				<div style="clear:both;height:10px;"></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="blogPosts"<?=ischecked('ggSMP_show','blogPosts');?> /> <?_e("Blog Posts","ggSMP");?></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="tags"<?=ischecked('ggSMP_show','tags');?> /> <?_e("Tags","ggSMP");?></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="dateBasedArchives"<?=ischecked('ggSMP_show','dateBasedArchives');?> /> <?_e("Date archives","ggSMP");?></div>
				<div style="clear:both;height:10px;"></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="pages"<?=ischecked('ggSMP_show','pages');?> /> <?_e("Pages","ggSMP");?></div>
				<div class="ggSMP_showRow"><input type="checkbox" class="ggSMP_show" name="ggSMP_show[]" value="searchResults"<?=ischecked('ggSMP_show','searchResults');?> /> <?_e("Search results","ggSMP");?></div>
			</td></tr>
			<tr><td style="vertical-align:middle"><?_e("Position:","ggSMP");?></td>
			<td><select name="ggSMP_position">
				<option value="below" <?php selected('below', get_option('ggSMP_position'));?>> <?_e("only below the post","ggSMP");?></option>
				<option value="above" <?php selected('above', get_option('ggSMP_position'));?>> <?_e("only above the post","ggSMP");?></option>				
				<option value="both" <?php selected('both', get_option('ggSMP_position'));?>> <?_e("above and below the post","ggSMP");?></option>
				</select>
			</td></tr>
			<tr><td style="vertical-align:middle"><?_e("Counter layout:","ggSMP");?></td>
			<td><select name="ggSMP_layout">
				<option value="box" <?php selected('box', get_option('ggSMP_layout'));?>> <?_e("box","ggSMP");?></option>
				<option value="button" <?php selected('button', get_option('ggSMP_layout'));?>> <?_e("button","ggSMP");?></option>
				</select>
			</td></tr>
			<tr><td></td>
			<td>
			
			
			<div class="ggSMP_example">
				<div class="description" style="padding-bottom:2px;font-size: 12px;font-style: italic;font-family: sans-serif;"><?_e("Example of a box:","ggSMP");?>&nbsp;</div> 
				<? echo '
					<div style="width:90px;">
						<iframe src="http://www.facebook.com/plugins/like.php?href='.rawurlencode('http://geldgorilla.nl').'&amp;send=false&amp;layout=box_count&amp;show_faces=false&amp;action='.get_option("ggSMP_facebook_button_type").'&amp;colorscheme=light&amp;width=90&amp;height=61&amp;locale='.get_option('ggSMP_locale').'" style="border: medium none; overflow:hidden; width:90px; height:61px;" scrolling="no" frameborder="0" allowTransparency="true"></iframe>
					</div>
					';
				?>
				<div class="description" style="padding-bottom:3px;font-size: 12px;font-style: italic;font-family: sans-serif;"><?_e("Example of a button:","ggSMP");?>&nbsp;</div> 
				<? echo '
					<div style="width:100px;">
						<iframe src="http://www.facebook.com/plugins/like.php?href='.rawurlencode('http://geldgorilla.nl').'&amp;send=false&amp;layout=button_count&amp;show_faces=false&amp;action='.get_option("ggSMP_facebook_button_type").'&amp;colorscheme=light&amp;width=110&amp;height=21&amp;locale='.get_option('ggSMP_locale').'" style="border: medium none; overflow:hidden; width:110px; height:21px;" scrolling="no" frameborder="0" allowTransparency="true"></iframe>
					</div>
					';
				?>				
			</div>
			
			</td></tr>			
			<tr><td><?_e("Language on the buttons:","ggSMP");?></td>
			<td><select name="ggSMP_locale">
					<option value="en_US" <?php selected('en_US', get_option('ggSMP_locale'));?>><?_e("English","ggSMP");?></option>
					<option value="nl_NL" <?php selected('nl_NL', get_option('ggSMP_locale'));?>><?_e("Dutch","ggSMP");?></option>				
				</select>
			</td></tr>
			<tr><td><?_e("Text above the buttons:","ggSMP");?></td>
			<td><input type="text" name="ggSMP_above_line" value="<?=get_option("ggSMP_above_line");?>" size="50" /><br />
				<span class="description"><?_e("Optional text to show above the buttons, for example 'Share this with your friends:'","ggSMP");?></span>
			</td></tr>
			<tr><td style="padding-top:6px;"><?_e("Text in front of the buttons:","ggSMP");?></td>
			<td><input type="text" name="ggSMP_before_line" value="<?=get_option("ggSMP_before_line");?>" size="25" /><br />
				<span class="description"><?_e("Optional text to show before the buttons, for example 'Share this with your friends:'","ggSMP");?></span>
			</td></tr>
			</table>
		</div>
		</div>
		
		<div class="postbox">
			<h3><?_e("Options for specific buttons","ggSMP");?></h3>
			<div class="inside"><table><tr>
				<td><?_e("Text on Facebook button:","ggSMP");?></td>	
				<td><select name="ggSMP_facebook_button_type">
					<option value="like" <?php selected('like', get_option('ggSMP_facebook_button_type'));?>><?_e("Like","ggSMP");?></option>
					<option value="recommend" <?php selected('recommend', get_option('ggSMP_facebook_button_type'));?>><?_e("Recommend","ggSMP");?></option>
				</select></td>
				</tr><tr>
				<td><?_e("Additional text for tweet:","ggSMP");?></td>	
				<td><input type="text" name="ggSMP_twitter_text" value="<?=get_option("ggSMP_twitter_text");?>" size="25" /><br />
				<span class="description"><?_e("Optional text added at the end of every tweet, for example @geldgorilla.","ggSMP");?></span>
				</td>
				</tr><tr>
				<td><?_e("Always use multiple image selector for Pinterest:","ggSMP");?></td>	
				<td>
					<input type="checkbox" name="ggSMP_pinterest_multiple" value="yes"<?=(get_option("ggSMP_pinterest_multiple")=="yes")?'checked="checked"':'';?> />
				</td>
				</tr></table>
			</div>
		</div>
		<input type="hidden" name="action" value="update" />
		<input type="hidden" name="page_options" value="ggSMP_sort,ggSMP_active,ggSMP_counter,ggSMP_width_facebook,ggSMP_width_twitter,ggSMP_width_googlep,ggSMP_width_linkedin,ggSMP_width_pinterest,ggSMP_width_tumblr,ggSMP_width_hyves,ggSMP_counter,ggSMP_show,ggSMP_position,ggSMP_layout,ggSMP_locale,ggSMP_above_line,ggSMP_before_line,ggSMP_facebook_button_type,ggSMP_twitter_text,ggSMP_pinterest_multiple" />
		<p class="submit"><input type="submit" name="Submit" class="button-primary" value="<?_e("Save Changes","ggSMP");?>" /></p>
	</form>
  </div>
  <div id="ggSMP_sidebar">
		<div class="postbox">
			<h3><?_e("Additional info","ggSMP");?></h3>
			<div class="inside">
				<p><?_e('Use the shortcode <b>[geldgorilla_social_media]</b> to display social media buttons in a page or post, wherever you want and how often you want!',"ggSMP");?></p>
				<p><?_e('In every post and page you can disable social media buttons by ticking the \'Disable social media buttons\' checkbox.',"ggSMP");?></p>
			</div>
		</div>
		<div class="postbox">
			<h3><?_e("More plugins?","ggSMP");?></h3>
			<div class="inside">
				<p><?_e("Want to use more awesome plugins?","ggSMP");?><br />
				<?_e("Go directly to this link:","ggSMP");?></p>
				<p><a href="http://geldgorilla.nl/plugins/?utm_source=social-media-plugin&utm_medium=widget-link&utm_campaign=plugin-pagina" target="_blank">GeldGorilla.nl/plugins</a></p>
			</div>
		</div>
		<div class="postbox">
			<h3><?_e("Plugin by","ggSMP");?> GeldGorilla.nl</h3>
			<div class="inside">
				<p><?_e("This plugin is developed by <a href='http://geldgorilla.nl/plugins/?utm_source=social-media-plugin&utm_medium=widget-link&utm_campaign=plugin-pagina' target='_blank'>GeldGorilla.nl</a>, a Dutch blog that learns people how to make money online.","ggSMP");?></p>
				<p><?_e("We don't need donations, but we will appreciate it a lot if you can share our blog through social media!","ggSMP");?></p>
				<p><?_e("So click on that button and reward us for making this awesome plugin!","ggSMP");?></p>
				<div style="padding-left:0px;">
					<?
					$facebook_width = (get_option("ggSMP_locale")=="en_US")?"61":"95";
					$googlep_lang = (get_option("ggSMP_locale")=="en_US")?"en":"nl";
					?>
					<div class="ggSMP"><div style="width:<?=$facebook_width;?>px;"><iframe src="http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Fgeldgorilla.nl%2F&amp;send=false&amp;layout=box_count&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;width=<?=$facebook_width;?>&amp;height=&amp;locale=<?=get_option("ggSMP_locale")?>" style="border: medium none; overflow:hidden; width:<?=$facebook_width;?>px; height:61px;" scrolling="no" frameborder="0" allowTransparency="true"></iframe></div>
					<div style="width:90px;"><div style="width:90px;float:left;overflow:hidden;"><a href="https://twitter.com/share" class="twitter-share-button" data-count="vertical" data-text="<?_e('This blog is awesome for Dutch people who want to make money online!');?>" data-url="http://geldgorilla.nl/" ></a></div></div></div>

					<div class="ggSMP" style="margin-top:10px;"><div style="width:65px;overflow:hidden;"><div class="g-plusone" data-size="tall" data-href="http://geldgorilla.nl/" ></div></div>
					<div style="width:100px;overflow:hidden;"><script type="IN/Share" data-counter="top" data-url="http://geldgorilla.nl/"></script></div>
					<script type="text/javascript">window.___gcfg = {lang: "<?=$googlep_lang;?>"};(function() {var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;po.src = "https://apis.google.com/js/plusone.js";var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);})();</script></div>
				</div>
				
			</div>
		</div>		
  </div>  
</div>