<?php
/*
Plugin Name: GeldGorilla Social Media Plugin
Plugin URI: http://geldgorilla.nl/
Description: GeldGorilla Social Media Plugin
Version: 1.1
Author: GeldGorilla.nl
Author URI: http://geldgorilla.nl/
License: GPLv2
*/

function ggSMP($content,$replace=false) {
	global $BacklinkDisabler;
	if (!is_admin())  {
		if (!$replace) {
			$show = get_option('ggSMP_show');
			if (!$show[0]) return $content;
			if (!$content) return;
	/*ok*/	if (is_single()) 			{ if (!in_array("blogPosts",$show)) return $content; }
	/*ok*/	else if (is_home()) 		{ if (!in_array("blogPage",$show))	return $content; }
	/*ok*/	else if (is_page()) 		{ if (!in_array("pages",$show))	return $content; }

			else if (is_tag()) 		{ if (!in_array("tags",$show))	return $content; }
			else if (is_category()) { if (!in_array("categories",$show))	return $content; }
			else if (is_date()) 	{ if (!in_array("dateBasedArchives",$show))	return $content; }
			else if (is_author()) 	{ if (!in_array("author",$show))	return $content; }
			else if (is_search()) 	{ if (!in_array("searchResults",$show))	return $content; }
			else 					{ return $content; }
		}
	}
	
	if (!$replace) {
		$disable = get_post_meta(get_the_ID(),'_ggSMP_disable_checkbox',true);
		if ($disable=="yes") return $content;
	}
	
	$link = get_permalink();
	$title = get_the_title();
	$layout = get_option("ggSMP_layout");
	$locale = get_option('ggSMP_locale');
	if (!$link) $link="http://geldgorilla.nl/";


	$out = '<div class="ggSMP">';
	$ggSMP_above_line = get_option('ggSMP_above_line');
	if ($ggSMP_above_line) $out .= "<p style='clear:both;margin-bottom:5px'>".$ggSMP_above_line."</p>";
	
	$ggSMP_before_line = get_option('ggSMP_before_line');
	if ($ggSMP_before_line) $out .= "<div style='width:90px;'>".$ggSMP_before_line."</div>";
	
	
	$actives = get_option("ggSMP_active");
	foreach ($actives as $v) {
		$width = get_option("ggSMP_width_".$v);
		$counter = get_option("ggSMP_counter");
		if (!$counter[0]) $counter = array();
		switch ($v) {
			case "facebook":
				$facebook_height = ($layout=='button') ? 21 : 61;
				//$out .= '<div style="width:'.$width.'px;"><iframe src="http://www.facebook.com/plugins/like.php?href='.rawurlencode($link).'&amp;send=false&amp;layout='.$layout.'_count&amp;show_faces=false&amp;action='.get_option("ggSMP_facebook_button_type").'&amp;colorscheme=light&amp;width='.$width.'&amp;height='.$height.'&amp;locale='.$locale.'" style="border: medium none; overflow:hidden; width:'.$width.'px; height:'.$facebook_height.'px;" scrolling="no" frameborder="0" allowTransparency="true"></iframe></div>';
				$out .= '<div class="fb-like" style="float:left;width:'.$width.'px;" data-href="'.$link.'" data-send="false" data-layout="box_count" data-width="450" data-show-faces="true"></div>';
			break;
			case "twitter":
				$twitter_layout = ($layout == 'button') ? 'horizontal' : 'vertical';
				$twitter_layout = (in_array("twitter",$counter)) ? $twitter_layout : 'none';
				$twitter_locale = ($locale!='en_US') ? 'data-lang="'.substr($locale,0,2).'"' : 'data-lang="en"';
				//if (!is_admin()) $twitter_margin = "margin-top:-12px;";
				$out .= '<div style="width:'.$width.'px;"><div style="width:'.$width.'px;float:left;overflow:hidden;'.$twitter_margin.'"><a href="https://twitter.com/share" class="twitter-share-button" data-count="'.$twitter_layout.'" data-text="'.$title.' '.get_option('ggSMP_twitter_text').'" data-url="'.$link.'" '.$twitter_locale.'></a></div></div>';
			break;
			case "googlep":
				$googlep_layout = ($layout=='button') ? 'medium' : 'tall';
				//$googlep_layout = 'tall';
				$googlep_data_count = (in_array("googlep",$counter)) ? '' : 'data-annotation="none"';
				$out .= '<div style="width:'.$width.'px;overflow:hidden;"><div class="g-plusone" data-size="'.$googlep_layout.'" data-href="'.$link.'" '.$googlep_data_count.'></div></div>';
			break;
			case "linkedin":
				$linkedin_layout = ($layout=='button') ? 'data-counter="right"' : 'data-counter="top"';
				$linkedin_layout = (in_array("linkedin",$counter)) ? $linkedin_layout : 'data-annotation="none"';
				$out .= '<div style="width:'.$width.'px;overflow:hidden;"><script type="IN/Share" '.$linkedin_layout.' data-url="'.$link.'"></script></div>';
			break;
			case "pinterest":
				$pinterest_layout = ($layout=='button') ? 'beside' : 'above';
				$pinterest_layout = (in_array("pinterest",$counter)) ? $pinterest_layout : 'none';
				$media = '';
				if ((get_option("ggSMP_pinterest_multiple")!="yes") and in_the_loop()) {
					$the_post_id = get_the_ID();
					if ( function_exists('has_post_thumbnail') and has_post_thumbnail($the_post_id) ) {
						$post_thumbnail_id = get_post_thumbnail_id($the_post_id);
						$media = wp_get_attachment_url($post_thumbnail_id);
					}
					if ($media=='') {
						$args = array(
							'post_type'   => 'attachment',
							'numberposts' => 1,
							'post_status' => null,
							'post_parent' => $the_post_id
							);
						$attachments = get_posts( $args );
						if ( $attachments ) {
							$attachment = $attachments[0];
							$media = wp_get_attachment_url( $attachment->ID);
						}
					}
					if ($media=='') {
						$output = @preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
						if (isset($matches [1] [0]))  {
							$media = $matches [1] [0];
						}
					}
				}
				if ($media != '') {
					$pinterest_url = '?url='.rawurlencode($link).'&media='.rawurlencode($media).'&description='.strip_tags($title);
					$data_pin_do = 'buttonPin';
				} else {
					$pinterest_url = '';
					$data_pin_do = 'buttonBookmark';
				}

				$out .= '<div style="width:'.$width.'px;overflow:hidden;"><a data-pin-config="'.$pinterest_layout.'" href="https://pinterest.com/pin/create/button/'.$pinterest_url.'" data-pin-do="'.$data_pin_do.'" ><img src="//assets.pinterest.com/images/pidgets/pin_it_button.png" /></a></div>';
			
			break;
			case "tumblr":
				$out .= '<div style="width:'.$width.'px;overflow:hidden;"><a href="https://www.tumblr.com/share/link?url='.rawurlencode($link).'&name='.rawurlencode($title).'"><img src="http://platform.tumblr.com/v1/share_2.png" title="Share on Tumblr" /></a></div>';
			break;
			case "hyves":
				$hyves_width = (in_array("hyves",$counter)) ? $width:'70';
				$out .= '<div style="width:'.$width.'px;overflow:hidden;"><iframe src="http://www.hyves.nl/respect/button?url='.$link.'" style="border: medium none; overflow:hidden; width:'.$hyves_width.'px; height:20px;" scrolling="no" frameborder="0" allowTransparency="true" ></iframe></div>';
			break;
		}
	}
	$out.= '</div>';
	
	if ($replace) return $out;
	
	
	$position = get_option('ggSMP_position');
	if (is_admin()) $position = "below";
	else {
	//if (!$BacklinkDisabler) $out .= "<p class='ggSMP_backlink'>".__("Plugin by","ggSMP")." <a href='http://geldgorilla.nl/?utm_source=social-media-plugin&utm_medium=tekstlink&utm_campaign=blog' target='_blank'>GeldGorilla.nl</a></p>";
	}
	
	
	if ($position!="above") $content = $content.$out;
	if ($position!="below") {
		$out = str_replace('<div class="ggSMP">','<div class="ggSMP" style="padding-top:10px">',$out);
		$content = $out.$content;
	}
	return $content;
}

function ggSMP_init() {
	if (get_option("ggSMP_locale")=="nl_NL") Load_plugin_textdomain('ggSMP', false, basename(dirname(__FILE__)).'/lang');
	if (is_admin()) {
		wp_enqueue_script('jquery-ui-sortable');
	}
	$active = get_option("ggSMP_active");
	if (is_array($active)) {
		if (in_array("linkedin",$active)) wp_enqueue_script('ggSMP_linkedin', 'https://platform.linkedin.com/in.js', array(), false, true);
		if (in_array("tumblr",$active)) wp_enqueue_script('ggSMP_tumblr', 'http://platform.tumblr.com/v1/share.js', array(), false, true);
		if (in_array("twitter",$active)) wp_enqueue_script('ggSMP_twitter', 'https://platform.twitter.com/widgets.js', array(), false, true);
	}
}
function ggSMP_admin() {
	include('ggSMP-admin.php');
}
function ggSMP_admin_add() {
	add_options_page('GeldGorilla Social Media Plugin Options', 'GeldGorilla Social Media Plugin', 8, __FILE__, 'ggSMP_admin');
}
function ggSMP_footer() {
	$active = get_option("ggSMP_active");
	if (in_array("googlep",$active)) echo '<script type="text/javascript">window.___gcfg = {lang: "'.substr(get_option('ggSMP_locale'),0,2).'"};(function() {var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;po.src = "https://apis.google.com/js/plusone.js";var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);})();</script>';
}
function ggSMP_style() {
	$ggSMP_StyleUrl  = plugin_dir_url (__FILE__).'style.css';
	$ggSMP_StyleFile = plugin_dir_path(__FILE__).'style.css';
	if (file_exists($ggSMP_StyleFile)) {
	    wp_register_style('ggSMP_style', $ggSMP_StyleUrl);
	    wp_enqueue_style('ggSMP_style');
	}
}
function ggSMP_uninstall() {
	$all_options = wp_load_alloptions();
	foreach ($all_options as $k=>$v) {
		if (substr($k,0,6)=='ggSMP_') delete_option($k);
	}
}
function ggSMP_add_custom_box() {
    $screens = array( 'post', 'page' );
    foreach ($screens as $screen) {
        add_meta_box(
            'ggSMP_metaid',
            __( 'Disable Social Media Buttons', 'ggSMP' ),
            'ggSMP_custom_box',
            $screen
        );
    }
}
function ggSMP_custom_box($post) {
	  wp_nonce_field( plugin_basename( __FILE__ ), 'ggSMP_noncename' );
	  $value = get_post_meta( $post->ID, '_ggSMP_disable_checkbox', true );
	  $checked = ($value=="yes")?'checked="checked"':'';
	  echo '<input type="checkbox" id="ggSMP_disable_checkbox" name="ggSMP_disable_checkbox" value="yes" '.$checked.'/> &nbsp;&nbsp;&nbsp;';
	  echo ' <label for="ggSMP_new_field">';
	  _e("Disable social media buttons for this post/page", 'ggSMP');
	  echo '</label><br /><br />';
	  echo '<div class="description"><i>';
	  _e('NOTE:',"ggSMP");
	  echo ' ';
	  _e('Use the shortcode <b>[geldgorilla_social_media]</b> to display social media buttons in a page or post, wherever you want and how often you want!',"ggSMP");
	  echo '<br /><br />';
	  _e('* When you add the shortcode and disable the social media buttons for this post/page, the shortcode will still display the social media buttons. You have to manually delete it to so that it doesn\'t show on the page anymore.',"ggSMP");
	  echo '</i></div>';
}

function ggSMP_save_postdata( $post_id ) {
  if ( 'page' == $_POST['post_type'] ) {
    if ( ! current_user_can( 'edit_page', $post_id ) ) return;
  } else {
    if ( ! current_user_can( 'edit_post', $post_id ) ) return;
  }
  if ( ! isset( $_POST['ggSMP_noncename'] ) || ! wp_verify_nonce( $_POST['ggSMP_noncename'], plugin_basename( __FILE__ ) ) )
      return;
  $post_ID = $_POST['post_ID'];
  $mydata = sanitize_text_field($_POST['ggSMP_disable_checkbox']);
  add_post_meta($post_ID, '_ggSMP_disable_checkbox', $mydata, true) or update_post_meta($post_ID, '_ggSMP_disable_checkbox', $mydata);
}
function ggSMP_replace($content) {
	return str_replace("[geldgorilla_social_media]",ggSMP($content,true),$content);
}

function ggSMP_dashboard_widgets() {
	if (!$ggDashboard) {
		$ggDashboard = true;
		wp_add_dashboard_widget( 'dashboard_custom_feed', 'Recent posts on geldgorilla.nl', 'ggSMP_dashboard_output' );
	}
}  
function ggSMP_dashboard_output() {
     echo '<div class="rss-widget">';  
     wp_widget_rss_output(array(  
          'url' => 'http://geldgorilla.nl/feed',  //put your feed URL here  
          'title' => 'Recent posts on geldgorilla.nl',  
          'items' => 3, //how many posts to show  
          'show_summary' => 1,  
          'show_author' => 0,  
          'show_date' => 1  
     ));  
     echo "</div>";  
}

function ggSMP_FooterCopyright() {
	global $ggFooter;
	global $BacklinkDisabler;
	if ((!$ggFooter) AND (!$BacklinkDisabler)) {
		$ggFooter = true;
		//echo "<p align=\"center\">".__('Plugin(s) door','ggSMP')." <a href='http://geldgorilla.nl/?utm_source=social-media-plugin&utm_medium=tekstlink&utm_campaign=blog' target='_blank'>GeldGorilla.nl</a></p>";
	}
}


function ggSMP_FB_init() {
	$active = get_option("ggSMP_active");
	$locale = get_option('ggSMP_locale');
	$link = get_permalink();
	if (!$link) $link="http://geldgorilla.nl/";
	
	if (is_array($active)) {
		if (in_array("facebook",$active))  {

			echo '

				<div id="fb-root"></div>
				<script>(function(d, s, id) {
				  var js, fjs = d.getElementsByTagName(s)[0];
				  if (d.getElementById(id)) return;
				  js = d.createElement(s); js.id = id;
				  js.src = "//connect.facebook.net/'.$locale.'/all.js#xfbml=1";
				  fjs.parentNode.insertBefore(js, fjs);
				}(document, \'script\', \'facebook-jssdk\'));</script>
			
			';
		
		}
	}
}

add_action('wp_head','ggSMP_FB_init');
add_action('admin_head','ggSMP_FB_init');
add_action('add_meta_boxes', 'ggSMP_add_custom_box' );
add_action('save_post', 'ggSMP_save_postdata' );
add_action('the_content','ggSMP_replace');
add_action('admin_enqueue_scripts', 'ggSMP_style' );
add_action('wp_enqueue_scripts', 'ggSMP_style' );
add_action('init', 'ggSMP_init');
add_action('admin_init', 'ggSMP_init');
add_action('wp_footer', 'ggSMP_footer');
add_action('the_content','ggSMP');
add_filter('the_excerpt', 'ggSMP');
add_action('admin_menu', 'ggSMP_admin_add');
add_action('wp_dashboard_setup', 'ggSMP_dashboard_widgets');
register_uninstall_hook(__FILE__, 'ggSMP_uninstall');
?>